Name: gnuplot
Version: 4.2.0
Release: alt1
Epoch: 1

Summary: A program for plotting mathematical expressions and data
Summary (ru_RU.UTF-8): Программа для построения графиков математических выражений и данных
License: Freeware-like
Group: Sciences/Other
URL: http://gnuplot.sourceforge.net/
Packager: Alexey Morsov <swi@altlinux.ru>

Source0: http://puzzle.dl.sourceforge.net/sourceforge/gnuplot/%name-%version.tar.gz
Source2: http://www.gnuplot.info/faq/%name-faq.html.bz2
Source3: %name.menu

Source10: %name.16.png
Source11: %name.32.png
Source12: %name.48.png

Patch1: gnuplot-4.0.0-alt-build.patch

BuildPreReq: rpm-build >= 4.0.4-alt10, autoconf_2.5, automake_1.9

%set_autoconf_version 2.5
%set_automake_version 1.9

# Automatically added by buildreq on Wed Jun 22 2005
BuildRequires: fontconfig-devel freetype2-devel groff-base libgd2-devel libjpeg-devel libpng-devel tetex-core tetex-dvips tetex-latex xorg-x11-devel zlib-devel

#%package -n emacs-mode-%name
#Summary: A GNU Emacs major mode for %name
#Summary (ru_RU.UTF-8): Основной режим GNU Emacs для %name
#Group: Editors
#Requires: %name = %version-%release emacs-base

#%package -n emacs-mode-%name-el
#Summary:  The Emacs Lisp sources for bytecode included in emacs-mode-%name
#Summary (ru_RU.UTF-8): Исходный код Emacs Lisp для emacs-mode-%name
#Group: Development/Other
#Requires: %name = %version-%release emacs-base

%description
Gnuplot is a command-line driven, interactive function plotting program
especially suited for scientific data representation. Gnuplot can be used to
plot functions and data points in both two and three dimensions and in many
different formats.

Install gnuplot if you need a graphics package for scientific data
representation.

%description -l ru_RU.UTF-8
Gnuplot это интерактивная программа, предназначенная для построения
графиков.  Она особенно хорошо подходит для представления научных 
данных.  Gnuplot может строить 2-х и 3-х мерные графики функций 
и числовых данных во множестве различных графических форматов.

#%description -n emacs-mode-%name
#A GNU Emacs major mode for %name
#
#%description -n emacs-mode-%name -l ru_RU.UTF-8
#Основной режим GNU Emacs для %name
#
#%description -n emacs-mode-%name-el
#The Emacs Lisp sources for bytecode included in %name
#
#%description -n emacs-mode-%name-el -l ru_RU.UTF-8
#Исходный код Emacs Lisp для emacs-mode-%name


%prep
%setup -q 
%patch1 -p1


%build
#export CFLAGS="$RPM_OPT_FLAGS -fno-fast-math"
%configure --with-readline=gnu --with-png --with-gif=png --without-linux-vga
#find -type f -print0 |
#	xargs -r0 fgrep -l gdImageGif |
#	xargs perl -pi -e 's/gdImageGif/gdImagePng/g'
%make_build

#pushd lisp
#    %configure
#    %make_build
#    pdflatex gpelcard
#popd

install -p -m644 %SOURCE2 .
bunzip *.html.bz2

pushd tutorial
    make pdf
#    pdflatex tutorial
popd

pushd docs
    make pdf
    pdftex gpcard
popd


%install
%makeinstall

#pushd lisp
#    %makeinstall
#popd

# menu
install -pD -m644 %SOURCE3 %buildroot%_menudir/%name

# icon
install -D -pm644 %SOURCE10  %buildroot/%_miconsdir/%name.png
install -D -pm644 %SOURCE11  %buildroot/%_iconsdir/%name.png
install -D -pm644 %SOURCE12  %buildroot/%_liconsdir/%name.png


%post
%update_menus


%postun
%clean_menus


%files
%doc FAQ README ChangeLog BUGS Copyright NEWS
%doc demo tutorial/tutorial.pdf gnuplot-faq.html
%doc docs/psdoc docs/gpcard.pdf docs/gnuplot.pdf
#%doc lisp/gpelcard.pdf
%_bindir/*
%_mandir/man?/*
%_libexecdir/%name
%_datadir/%name
%_menudir/%name
%_infodir/%{name}*
%_iconsdir/*.png
%_miconsdir/*.png
%_liconsdir/*.png

#%files -n emacs-mode-%name
#%_emacslispdir/*.elc
#
#%files -n emacs-mode-%name-el
#%_emacslispdir/*.el

%changelog
* Mon Mar 05 2007 Alexey Morsov <swi@altlinux.ru> 1:4.2.0-alt1
- new release (4.2)
- disable lisp part totaly

* Fri Dec 15 2006 Alexey Morsov <swi@altlinux.ru> 4.2.rc2-alt1
- new version
- fix spec for tutorial
- fix patch0 for new version

* Wed Nov 02 2005 Constantin (Const) Mikhaylenko <const@altlinux.ru> 4.0.0-alt3
- [Bug 8361] x86_64 support request

* Wed Jun 22 2005 Constantin (Const) Mikhaylenko <const@altlinux.ru> 4.0.0-alt2
- bugfix; removed emax-mode-* packages

* Tue May 18 2004 Constantin (Const) Mikhaylenko <const@altlinux.ru> 4.0.0-alt1
- new version

* Mon Mar 17 2003 Stanislav Ievlev <inger@altlinux.ru> 3.7.3-alt1
- new version

* Wed Sep 25 2002 Stanislav Ievlev <inger@altlinux.ru> 3.7.2-alt1
- 3.7.2
- added subpackages for emacs modes
- added packager tag

* Thu Oct 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.7.1-ipl16mdk
- Rebuilt with libpng.so.3

* Sun Sep 16 2001 Rider <rider@altlinux.ru> 3.7.1-ipl14mdk
- BuildRequires fix

* Sun Aug 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-13mdk
- now should also compile on non x86 arch, /me sucks

* Fri Aug 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-12mdk
- removed -ffast-math option to improve reliability

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-11mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.7.1-10mdk
- automatically added BuildRequires

* Thu Jul 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-9mdk
- BM
- macroweruivieruweiovjzations

* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-8mdk
- fixed menu entry adding 32x32 icon

* Fri Apr 28 2000 Giuseppe GhibР <ghibo@mandrakesoft.com> 3.7.1-7mdk
- added XFree86-devel in BuildPreReq for X11.
- removed bzip2 man pages (done by spec_helper).
- removed gnu-readline and put back minimal-readline otherwise the
  Boer's patch doesn't work.

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-6mdk
- fix directory owns.
- now uses gnu readline library instead of minimal built-in readline.

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-5mdk
- added icon.

* Thu Mar 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.7.1-4mdk
- new groups.
- menu entry.

* Thu Nov 11 1999 Giuseppe GhibР <ghibo@linux-mandrake.com>
- added Pieter de Boer's patch <ptdeboer@cs.utwent.nl> for splot X11
  interactive rotations.
- added gnuplot-mode documentation.

* Tue Nov  9 1999 Giuseppe GhibР <ghibo@linux-mandrake.com>
- updated to 3.7.1.
- added gnuplot-faq.html.
- added PDF documentation.

* Mon Nov  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.7.0.2.
- fix license.
- add emacs-mode.
- add some documentation.

* Fri Oct 1 1999 Giuseppe GhibР <ghibo@linux-mandrake.com>
- Changed the 3.7.0->3.7.0.1 patch to a more recent version because
the previous version has broken the postscript terminal.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rebuild without svgalib.

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update to 3.7.0.1.

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.7.

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.6beta347

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
